use shamir::SecretData;

fn main() {
    let secret_data = SecretData::with_secret("Hello World!", 3);

    let share1 = secret_data.get_share(1).unwrap();
    let share2 = secret_data.get_share(2).unwrap();
    let share3 = secret_data.get_share(3).unwrap();
    let share4 = secret_data.get_share(4).unwrap();

    println!("{:?}\n{:?}\n{:?}\n{:?}", share1, share2, share3, share4);
    let recovered = SecretData::recover_secret(3, vec![share1, share2, share3]).unwrap();

    println!("Recovered: {}", recovered);
}

